Loading...
Searching...
No Matches
sadump_priv Struct Reference

SADUMP format-specific data. More...

## Data Fields

size_t | block_size
| SADUMP block size.
unsigned | num_files
| Number of split files in this dump.
struct pfn_file_map | pfm
| Dumpable page mapping.
struct attr_override | mem_pagemap_override
| Overridden methods for memory.bitmap attribute.
off_t | mem_pagemap_off
| File offset of memory bitmap.
size_t | mem_pagemap_size
| Size of the memory bitmap.
struct pfn_file_map | mem_pagemap
| Memory region mapping.
struct sadump_disk_extents | ext []
| Disk extents.

## Detailed Description

SADUMP format-specific data.

## Field Documentation

## ext

struct sadump_disk_extents sadump_priv::ext[]

Disk extents.

Indexed by disk number.

The documentation for this struct was generated from the following file:

- src/kdumpfile/sadump.c